require 'cloud66_agent/utils/vital_signs'
require 'cloud66_agent/utils/server'

module Cloud66
	module Commands
		class Address
			def self.perform
				begin
					data = Utils::VitalSigns.address_info
				rescue => exc
					data = { error: exc.message }
				end
				Utils::Server.send_address data
				exit 0
			rescue => exc
				$logger.error "Command \"address\" failed: #{exc.message}"
				exit -1
			end
		end
	end
end