require 'cloud66_agent/utils/vital_signs'
require 'cloud66_agent/utils/server'

module Cloud66
	module Commands
		class Vitals
			def self.perform
				begin
					data = Utils::VitalSigns.vitals_alerts
				rescue => exc
					data = { error: exc.message }
				end
				Utils::Server.send_vitals(data) if !data.nil? && !data.empty?
				exit 0
			rescue => exc
				$logger.error "Command \"vitals\" failed: #{exc.message}"
				exit -1
			end
		end
	end
end