require 'cloud66_agent/utils/server'

module Cloud66
	module Commands
		class Fail2ban
			def self.perform(is_banned, ip_address, attack, port)
				data = {
					is_banned: is_banned,
					ip_address: ip_address,
					attack: attack,
					port: port
				}
				Utils::Server.send_fail2ban(data)
			rescue => exc
				$logger.error "Command \"fail2ban\" failed: #{exc.message}"
				exit -1
			end
		end
	end
end
