require 'cloud66_agent/utils/server'

module Cloud66
	module Commands
		class JobStart
			def self.perform(job_uid)
				result = Utils::Server.send_job_start(job_uid)
				# this is the response value for the script
				puts result['run_uid']
				exit 0
			rescue => exc
				$logger.error "Command \"job_start\" failed: #{exc.message}"
				exit -1
			end
		end
	end
end