require 'cloud66_agent/utils/server'

module Cloud66
	module Commands
		class SendMessage
			def self.perform(key,options)
				data = {
						key: key,
						options: options
				}
				Utils::Server.send_message(data)
				exit 0
			rescue => exc
				$logger.error "Command \"send_message\" failed: #{exc.message}"
				exit -1
			end
		end
	end
end